Package org.apache.tomcat.util.net

## Enum TLSClientHelloExtractor.ExtractorResult

- java.lang.Object
- - java.lang.Enum<TLSClientHelloExtractor.ExtractorResult>
  - - org.apache.tomcat.util.net.TLSClientHelloExtractor.ExtractorResult

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TLSClientHelloExtractor.ExtractorResult>`

Enclosing class:
  TLSClientHelloExtractor

    public static enum TLSClientHelloExtractor.ExtractorResult
    extends java.lang.Enum<TLSClientHelloExtractor.ExtractorResult>

### Enum Constant Summary

Enum Constants
`COMPLETE`
`NEED_READ`
`NON_SECURE`
`NOT_PRESENT`
`UNDERFLOW`

### Method Summary

All Methods Static Methods Concrete Methods
`static TLSClientHelloExtractor.ExtractorResult` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TLSClientHelloExtractor.ExtractorResult[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COMPLETE

    public static final TLSClientHelloExtractor.ExtractorResult COMPLETE

#### NOT_PRESENT

    public static final TLSClientHelloExtractor.ExtractorResult NOT_PRESENT

#### UNDERFLOW

    public static final TLSClientHelloExtractor.ExtractorResult UNDERFLOW

#### NEED_READ

    public static final TLSClientHelloExtractor.ExtractorResult NEED_READ

#### NON_SECURE

    public static final TLSClientHelloExtractor.ExtractorResult NON_SECURE

### Method Detail

#### values

    public static TLSClientHelloExtractor.ExtractorResult[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TLSClientHelloExtractor.ExtractorResult c : TLSClientHelloExtractor.ExtractorResult.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TLSClientHelloExtractor.ExtractorResult valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null